Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.common.help
Class HelpProperty

    java.lang.Object
      things.common.help.HelpItem
          things.common.help.HelpProperty

    public class HelpProperty

extends HelpItem

Help item for a property

Version:
  1.0

  Version History

      EPG - Initial - 10 SEP 08

Author:
  Erich P. Gatejen

Field Summary
`boolean` | `required` Is the property required? If true, it is.
`java.util.List<NVImmutable>` | `values` Suggested values.

Fields inherited from class things.common.help.HelpItem
`help, name, user`

Constructor Summary
`HelpProperty(boolean required, java.lang.String name, java.lang.String help)` Constructor.
`HelpProperty(boolean required, java.lang.String name, java.lang.String user, java.lang.String help)` Constructor.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### required

    public boolean required

  Is the property required? If true, it is.

### values

    public java.util.List<NVImmutable> values

  Suggested values. If left null, there are none.

Constructor Detail

### HelpProperty

    public HelpProperty(boolean required,
                        java.lang.String name,
                        java.lang.String help)

  Constructor.

  Parameters:
    `required` - Is the property required?
    `name` - The name of the property. This is suitable for lookup in a view.
    `help` - The help text for the property.

### HelpProperty

    public HelpProperty(boolean required,
                        java.lang.String name,
                        java.lang.String user,
                        java.lang.String help)

  Constructor.

  Parameters:
    `required` - Is the property required?
    `name` - The name of the property. This is suitable for lookup in a view.
    `user` - The user name for this property.
    `help` - The help text for the property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.